%global pypi_name ruamel.yaml.clib
%global pname ruamel-yaml-clib

Name:           python-%{pname}
Version:        0.2.8
Release:        1
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml
License:        MIT
URL:            https://bitbucket.org/ruamel/yaml.clib
Source0:        https://files.pythonhosted.org/packages/46/ab/bab9eb1566cd16f060b54055dd39cf6a34bfa0240c53a7218c43e974295b/ruamel.yaml.clib-0.2.8.tar.gz

BuildRequires:  gcc libyaml-devel python3-devel python3-setuptools

%description
It is the C based reader/scanner and emitter for ruamel.yaml.

%package -n     python3-%{pname}
Summary:        %{summary}
Provides:       python-%{pname} = %{version}-%{release}
Requires:       python3-setuptools python3-ruamel-yaml

%description -n python3-%{pname}
It is the C based reader/scanner and emitter for ruamel.yaml.

%package        help
Summary:        Development documents and examples for ruamel.yaml
Provides:       python3-%{pname}-doc
%description    help
Development documents and examples for ruamel.yaml

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root $RPM_BUILD_ROOT

%files -n python3-%{pname}
%license LICENSE
%{python3_sitearch}/_ruamel_yaml.cpython-*
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files help
%defattr(-,root,root)
%doc README.rst

%changelog
* Fri Mar 15 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 0.2.8-1
- Update package to version 0.2.8

* Thu Dec 15 2022 fushanqing <fushanqing@kylinos.cn> - 0.2.7-1
- update to 0.2.7

* Fri May 20 2022 yaoxin <yaoxin30@h-partners.com> - 0.2.6-1
- Update to 0.2.6

* Mon Mar 28 2022 xu_ping <xuping33@huawei.com> - 0.1.2-2
- Fix need Lvalue for increment and decrement operand

* Mon Mar 2 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.1.2-1
- Package init
